package sun.tracing;

import com.sun.tracing.Provider;
import java.io.PrintStream;
import com.sun.tracing.ProviderFactory;

public class PrintStreamProviderFactory extends ProviderFactory
{
    private PrintStream stream;
    
    public PrintStreamProviderFactory(PrintStream stream) {
        this.stream = stream;
    }
    
    public <T extends Provider> T createProvider(Class<T> clazz) {
        PrintStreamProvider printStreamProvider = new PrintStreamProvider(clazz, this.stream);
        printStreamProvider.init();
        return printStreamProvider.newProxyInstance();
    }
}
